GuideLab API

Preview a notification template

Preview how a notification will render across channels (email, SMS, WhatsApp). Platform admin access required.

POST
/admin/notifications/preview

Preview how a notification will render across channels (email, SMS, WhatsApp). Platform admin access required.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/admin/notifications/preview" \  -H "Content-Type: application/json" \  -d '{    "eventType": "order.status_changed",    "channel": "email",    "data": {      "title": "string",      "body": "string",      "property1": null,      "property2": null    }  }'
{  "subject": "string",  "html": "string",  "text": "string",  "charCount": 0}
Empty
Empty
Empty